package net.richardlord.smartcomponents.twitter.events
{
	import flash.events.Event;
	
	public class AuthenticateEvent extends Event
	{
		public static const SHOW_AUTHENTICATE:String = "showAuthenticate";
		public static const HIDE_AUTHENTICATE:String = "hideAuthenticate";
		public static const TOGGLE_AUTHENTICATE:String = "toggleAuthenticate";

		public var nextEvent:Event;
		
		public function AuthenticateEvent( type:String, nextEvent:Event = null )
		{
			super(type);
			this.nextEvent = nextEvent;
		}
		
		override public function clone():Event
		{
			return new AuthenticateEvent( type, nextEvent );
		}
	}
}